<?php
/**************************************************************

SaveImage 1.0

Developed by Paul Burney
Web: paulburney.com
AIM: PWBurney
E-mail: support@paulburney.com

***************************************************************

config.php

This file contains information for connecting to the database as
well as additional run-time configuration options.

**************************************************************/

// Initialize the configuration array

$si_config = array();

// Database connection information

$si_config['host'] = 'database.concord.org';
$si_config['user'] = 'rttuser';
$si_config['password'] = 'B1@ckJ@ck';
$si_config['database'] = 'saveimage';

// Error reporting level

$si_config['reporting_level'] = E_ALL;

// Set Version

$si_version = 3;

// Setup header and footer

$header = '
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8">
	<title>Saved Images</title>
	<script type="text/javascript" language="javascript">
	var gbAscending = true;
	var gbCol = 0;
	function sortCallBack(a,b)
	{
		// each of the arguments passed to this function is a TR node
		// with one or more child TD nodes.
		// get the child node of each TR element that corresponds
		// to the column to be sorted.
		var col1 = a.getElementsByTagName("TD")[gbCol];
		var col2 = b.getElementsByTagName("TD")[gbCol];
	
		// now get the text node for each col	
		var text1 = col1.firstChild.data;
		var text2 = col2.firstChild.data;
		
		// if the sort type is numeric, force the types to numeric
		if (gbType == \'number\') {
			text1 = text1 * 1;
			text2 = text2 * 1;
		}
		
		// now that we have the text nodes, do the sorting
		if (text1 < text2)
			return gbAscending ? -1 : 1;
		else if (text1 > text2)
			return gbAscending ? 1 : -1;
		else return 0;
	}
	
	function sortTable(whichTable, whichCol, sortDir, sortType)
	{
		var oTable = document.getElementById(whichTable);
		// begin by getting the node for the TBODY, since that
		// node contains all the rows to be sorted
		var oTBody = oTable.getElementsByTagName(\'TBODY\')[0];
		// get all of the TR tags within the tbody
		var aTRows = oTBody.getElementsByTagName(\'TR\');
		// store the length of the TR array
		var numRows = aTRows.length;
		
		gbAscending = sortDir;
		gbCol = whichCol;
		gbType = sortType;
		
		// make an array to hold each TR tag in the body.
		var theSortedRows = new Array(numRows);
		// copy each TR tag into the array. Do a "deep clone" on
		// each TR tag so that all of the child TD tags come along
		// with it.
		var i;
		for (i=0; i < numRows; i++)
		{
			theSortedRows[i] = aTRows[i].cloneNode(true);
		}
		
		// now -- sort the array!
		theSortedRows.sort(sortCallBack);
		
		// now that the array has been sorted, we put back all of the
		// table rows that we had copied out earlier.
		
		// First, get rid of the the current TBODY.
		oTable.removeChild(oTBody);
		// make a new one in its place
		oTBody = document.createElement("TBODY");
		oTable.appendChild(oTBody);
		// now copy in all of the sorted TR tags
		for (i=0; i< numRows; i++)
		{
			oTBody.appendChild(theSortedRows[i]);
		}
	}
	</script>
	<style type="text/css">
	body {
		background-color: #FFC6FF;
		color: #000000;
		font-size: 86%;
	}
	
	table {
		background-color: #EBEBFF;
		color: #000000;
		font-size: 86%;
	}
	
	</style>
</head>
<body>
';

$footer = '
</body>
</html>
';



?>
